Get all versions of a prompt
curl --request GET \
--url https://api.portkey.ai/v1/prompts/{promptId}/versions \
--header 'x-portkey-api-key: <api-key>'import requests
url = "https://api.portkey.ai/v1/prompts/{promptId}/versions"
headers = {"x-portkey-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};
fetch('https://api.portkey.ai/v1/prompts/{promptId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt_template": {},
"prompt_version": 123,
"prompt_description": "<string>",
"label_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"object": "prompt"
}
]List Prompt Versions
GET
/
prompts
/
{promptId}
/
versions
Get all versions of a prompt
Portkey is now PRISMA AIRS AI Gateway. See it in action.
Contact Us
Authorizations
Path Parameters
Response
List of prompt versions
Last modified on August 3, 2026
Was this page helpful?
⌘I

